curl --request POST \
--url https://api-lr.agent.ai/v1/action/company_research_v2_render_html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "report_html",
"report_data": "{{ company_research }}",
"report_id": "<string>"
}
'{
"status": 123,
"response": {}
}Render a complete company research report as professional, mobile-friendly HTML. Links to all article sources and displays all research sections.
curl --request POST \
--url https://api-lr.agent.ai/v1/action/company_research_v2_render_html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "report_html",
"report_data": "{{ company_research }}",
"report_id": "<string>"
}
'{
"status": 123,
"response": {}
}Bearer token from your account (https://agent.ai/user/integrations#api)
Variable name for the rendered HTML result.
^[a-zA-Z][a-zA-Z0-9_]*$Output from [CRFull] Run Full Company Research action. This is the preferred input method.
UUID of the report to render. Use this if you don't have the full report data.